v2.0
get
/ec-ors-svc/rest/v2.0/studies/{studyId}/{mode}/inventory/qualified-kits
Retrieves list of kits which had qualified recent updates based on criteria defined by Oracle Clinical One Integration Hub. In this API, blockNumber and kitNumberUTF added to return block number and kit number in UTF-8. Rights: OrsInventoryGet and OrsUnblinded.
Request
Path Parameters
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
Query Parameters
-
endDate(required): string
End date/time for retrieving qualified kit updates
-
startDate(required): string
Start date/time for retrieving qualified kit updates
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : schema
Type:
Show Source
array-
Array of:
object Kit Details Extended
Title:
Kit Details ExtendedKit details with extended fields used by Integration Hub.
Nested Schema : Kit Details Extended
Type:
objectTitle:
Kit Details ExtendedKit details with extended fields used by Integration Hub.
Show Source
-
blindedLotExpirationDate: string
(date-time)
Blinded lot expiration date.
-
blindedLotId: string
Title:
Blinded Lot IDBlinded lot ID.Example:9BD49A59E47E4383B98802712763FD43 -
blindedLotNumber: string
Title:
Blinded Lot NumberBlinded lot number.Example:BLot1101 -
blockNumber: string
Block number.Example:
1101 -
inventoryId: string
(uuid)
Title:
Inventory IDInventory ID. -
inventoryStatus: string
Title:
Inventory StatusName of the inventory status.Example:Dispensed -
inventoryStatusId: number
(BigDecimal)
Title:
Inventory Status IDUnique ID corresponding to each inventory status value (1 for Available, 2 for Damaged, 3 for Destroyed, 4 for Dispensed, 5 for Expired, 6 for Not in Use, 7 for Misallocated, 8 for Missing, 9 for In Transit, 10 for Quarantined, 11 for Pre-quarantined, 12 for Pending Destruction, 13 for Lost by Subject, 14 for Temporarily Unavailable, 15 for Damaged by Subject, 16 for New, 17 for Not Dispensed to Subject, 18 for Returned to Site, 19 for Conserved, 20 for Received for Destruction).Example:10 -
kitNumber: number
(BigDecimal)
Title:
Kit NumberKit number.Example:10 -
kitNumberUTF: string
Kit number with UTF-8 support.Example:
KN1101 -
labelGroup: string
Title:
Label GroupLabel group.Example:Labelgroup1001 -
labelGroupId: string
Title:
Label Group IDLabel group ID.Example:9BD49A59E47E4383B98802712763FD43 -
locationChangeList: array
locationChangeList
List of objects containing location information.
-
locationId: string
Title:
Location IDLocation.Example:1873CDF69E9B48B89B2D9E7951057D09 -
manufacturingLotExpirationDate: string
(date-time)
Manufacturing lot expiration date.
-
manufacturingLotId: string
Title:
Manufacturing Lot IDManufacturing lot ID.Example:9BD49A59E47E4383B98802712763FD43 -
manufacturingLotNumber: string
Title:
Manufacturing Lot NumberManufacturing lot number.Example:Mlot1001 -
prevBlindedLotNumber: string
Previous blinded lot number.Example:
BLot1101 -
prevInventoryStatus: string
Previous inventory status.Example:
Dispensed -
prevInventoryStatusId: number
(BigDecimal)
Previous inventory status ID.Example:
10 -
prevManufacturingLotNumber: string
Previous manufacturing lot number.Example:
Mlot1001 -
sequenceNumber: number
(BigDecimal)
Title:
Sequence NumberSequence number.Example:10
Nested Schema : locationChangeList
Type:
arrayList of objects containing location information.
Show Source
-
Array of:
object LocationUpdateTO v1.0
Title:
LocationUpdateTO v1.0Contains location (site/depot) info.
Nested Schema : LocationUpdateTO v1.0
Type:
objectTitle:
LocationUpdateTO v1.0Contains location (site/depot) info.
Show Source
-
locationChangeDate: string
(date-time)
Title:
Location Change DateDate when inventory site/depot changed. -
locationId: string
Title:
Location IDLocation ID.Example:1873CDF69E9B48B89B2D9E7951057D09
400 Response
Invalid date range
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object404 Response
Invalid study ID
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object